<!--
  This wsdl is used for client artifact generation
  
  wsimport -keep -verbose -d ../../../java ./META-INF/wsdl/TestEndpoint.wsdl
  
  $Id: TestEndpoint.wsdl 3576 2007-06-14 09:23:52Z thomas.diesler@jboss.com $
-->
<definitions name="TestEndpointService" 
  targetNamespace="http://eardeployment.jaxws/" 
  xmlns="http://schemas.xmlsoap.org/wsdl/"
  xmlns:jbws1616="http://jira.jboss.org/jira/browse/JBWS-1616"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://eardeployment.jaxws/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">

  <!-- Test a schema import -->  
  <types>
    <xsd:import namespace="http://org.jboss.ws/jaxrpc/types" schemaLocation="TestService.xsd"/>
  </types>
  
  <message name="TestEndpoint_echoResponse">
    <part name="return" type="xsd:string"/>
  </message>
  <message name="TestEndpoint_echo">
    <part name="arg0" type="xsd:string"/>
  </message>
  <portType name="TestEndpoint">
    <operation name="echo" parameterOrder="arg0">
      <input message="tns:TestEndpoint_echo"/>
      <output message="tns:TestEndpoint_echoResponse"/>
    </operation>
  </portType>
  <binding name="TestEndpointBinding" type="tns:TestEndpoint">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="echo">
      <soap:operation soapAction=""/>
      <input>
        <soap:body namespace="http://eardeployment.jaxws/" use="literal"/>
      </input>
      <output>
        <soap:body namespace="http://eardeployment.jaxws/" use="literal"/>
      </output>
    </operation>
  </binding>
  <service name="TestEndpointService">
    <port binding="tns:TestEndpointBinding" name="TestEndpointPort">
      <soap:address location="http://REPLACE_ON_DEPLOY"/>
    </port>
  </service>
</definitions>